This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 216163 - gfortran segfaults on valid Fortran 90 file (xmlparse.f90)
gfortran segfaults on valid Fortran 90 file (xmlparse.f90)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-17 11:16 EST by Wim Van Hoydonck
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.1.1-30
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-17 15:34:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fortran source file that triggers the segfault in gfortran (25.51 KB, text/plain)
2006-11-17 11:16 EST, Wim Van Hoydonck
no flags Details

  None (edit)
Description Wim Van Hoydonck 2006-11-17 11:16:24 EST
Description of problem:

$ gfortran -c xmlparse.f90
xmlparse.f90:0: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.


Version-Release number of selected component (if applicable):

gcc version 4.0.2 20051125 (Red Hat 4.0.2-8)


How reproducible:

compile the attached file (xmlparse.f90) with gfortran 
This file is part of the xml-fortran project: 

http://sourceforge.net/projects/xml-fortran/

(compilation works fine with the Intel Fortran Compiler)

Steps to Reproduce:
1. gfortran -c xmlparse.f90

  
Actual results:

  gfortran segfaults

Expected results:

  no segfault

Additional info:
Comment 1 Wim Van Hoydonck 2006-11-17 11:16:24 EST
Created attachment 141491 [details]
fortran source file that triggers the segfault in gfortran
Comment 2 Jakub Jelinek 2006-11-17 15:34:48 EST
Fedora Core 4 is no longer supported.
This works just fine with gcc-gfortran-4.1.1-30 (Fedora Core 6 gcc).

Note You need to log in before you can comment on or make changes to this bug.